Index: tests/regression/Geometry/DistanceToVector/post/test.xyz
===================================================================
--- tests/regression/Geometry/DistanceToVector/post/test.xyz	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
+++ tests/regression/Geometry/DistanceToVector/post/test.xyz	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
@@ -0,0 +1,5 @@
+3
+	created for regression test DistanceToVector on 2017-03-31 09:53
+H	1	0	0
+H	2	0	0
+C	3	2	2
Index: tests/regression/Geometry/DistanceToVector/pre/test.xyz
===================================================================
--- tests/regression/Geometry/DistanceToVector/pre/test.xyz	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
+++ tests/regression/Geometry/DistanceToVector/pre/test.xyz	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
@@ -0,0 +1,5 @@
+3
+	created for regression test DistanceToVector on 2017-03-31 09:52
+H	1	0	0
+H	2	0	0
+C	2	2	2
Index: tests/regression/Geometry/DistanceToVector/testsuite-geometry-distance-to-vector.at
===================================================================
--- tests/regression/Geometry/DistanceToVector/testsuite-geometry-distance-to-vector.at	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
+++ tests/regression/Geometry/DistanceToVector/testsuite-geometry-distance-to-vector.at	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
@@ -0,0 +1,53 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2017 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### distance to vector
+
+AT_SETUP([Geometry - distance to vector])
+AT_KEYWORDS([geometry distance-to-vector])
+AT_XFAIL_IF([/bin/true])
+file=test.xyz
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/DistanceToVector/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -v 5 \
+	--select-atom-by-id 0 1 --distance-to-vector "testvector" --reverse 1 --unselect-all-atoms \
+	--select-atom-by-element C --translate-atoms --position "testvector"], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated.*' $file ${abs_top_srcdir}/tests/regression/Geometry/DistanceToVector/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Geometry - distance to vector Undo])
+AT_KEYWORDS([geometry distance-to-vector undo])
+AT_XFAIL_IF([/bin/true])
+file=test.xyz
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/DistanceToVector/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file \
+	--select-atom-by-id 0 1 --distance-to-vector "testvector" --reverse 1 --undo --unselect-all-atoms \
+	--select-atom-by-element C --translate-atoms --position "testvector"], 5, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Geometry - distance to vector Redo])
+AT_KEYWORDS([geometry distance-to-vector undo redo])
+AT_XFAIL_IF([/bin/true])
+file=test.xyz
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/DistanceToVector/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file \
+	--select-atom-by-id 0 1 --distance-to-vector "testvector" --reverse 1 --undo --redo --unselect-all-atoms \
+	--select-atom-by-element C --translate-atoms --position "testvector"], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated.*' $file ${abs_top_srcdir}/tests/regression/Geometry/DistanceToVector/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
Index: tests/regression/Geometry/InputToVector/post/test.xyz
===================================================================
--- tests/regression/Geometry/InputToVector/post/test.xyz	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
+++ tests/regression/Geometry/InputToVector/post/test.xyz	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
@@ -0,0 +1,3 @@
+1
+	created for regression test InputToVector on 2017-03-31 10:07
+C	3	2	2
Index: tests/regression/Geometry/InputToVector/pre/test.xyz
===================================================================
--- tests/regression/Geometry/InputToVector/pre/test.xyz	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
+++ tests/regression/Geometry/InputToVector/pre/test.xyz	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
@@ -0,0 +1,3 @@
+1
+	created for regression test InputToVector on 2017-03-31 10:07
+C	2	2	2
Index: tests/regression/Geometry/InputToVector/testsuite-geometry-input-to-vector.at
===================================================================
--- tests/regression/Geometry/InputToVector/testsuite-geometry-input-to-vector.at	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
+++ tests/regression/Geometry/InputToVector/testsuite-geometry-input-to-vector.at	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
@@ -0,0 +1,53 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2017 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### input to vector
+
+AT_SETUP([Geometry - input to vector])
+AT_KEYWORDS([geometry input-to-vector])
+AT_XFAIL_IF([/bin/true])
+file=test.xyz
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/InputToVector/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -v 5 \
+	--input-to-vector "testvector" --coordinates "1,0,0" \
+	--select-atom-by-element C --translate-atoms --position "testvector"], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated.*' $file ${abs_top_srcdir}/tests/regression/Geometry/InputToVector/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Geometry - input to vector Undo])
+AT_KEYWORDS([geometry input-to-vector undo])
+AT_XFAIL_IF([/bin/true])
+file=test.xyz
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/InputToVector/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file \
+	--input-to-vector "testvector" --coordinates "1,0,0"  --undo \
+	--select-atom-by-element C --translate-atoms --position "testvector"], 5, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Geometry - input to vector Redo])
+AT_KEYWORDS([geometry input-to-vector undo redo])
+AT_XFAIL_IF([/bin/true])
+file=test.xyz
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/InputToVector/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file \
+	--input-to-vector "testvector" --coordinates "1,0,0"  --undo --redo \
+	--select-atom-by-element C --translate-atoms --position "testvector"], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated.*' $file ${abs_top_srcdir}/tests/regression/Geometry/InputToVector/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
Index: tests/regression/Geometry/PlaneToVector/post/test.xyz
===================================================================
--- tests/regression/Geometry/PlaneToVector/post/test.xyz	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
+++ tests/regression/Geometry/PlaneToVector/post/test.xyz	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
@@ -0,0 +1,6 @@
+4
+	created for regression test PlaneToVector on 2017-03-31 09:54
+H	1	0	0
+H	1	0	1
+H	1	1	0
+C	3	2	2
Index: tests/regression/Geometry/PlaneToVector/pre/test.xyz
===================================================================
--- tests/regression/Geometry/PlaneToVector/pre/test.xyz	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
+++ tests/regression/Geometry/PlaneToVector/pre/test.xyz	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
@@ -0,0 +1,6 @@
+4
+	created for regression test PlaneToVector on 2017-03-31 09:53
+H	1	0	0
+H	1	0	1
+H	1	1	0
+C	2	2	2
Index: tests/regression/Geometry/PlaneToVector/testsuite-geometry-plane-to-vector.at
===================================================================
--- tests/regression/Geometry/PlaneToVector/testsuite-geometry-plane-to-vector.at	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
+++ tests/regression/Geometry/PlaneToVector/testsuite-geometry-plane-to-vector.at	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
@@ -0,0 +1,53 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2017 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### plane to vector
+
+AT_SETUP([Geometry - plane to vector])
+AT_KEYWORDS([geometry plane-to-vector])
+AT_XFAIL_IF([/bin/true])
+file=test.xyz
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/PlaneToVector/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -v 5 \
+	--select-atom-by-id 0 1 2 --plane-to-vector "testvector" --unselect-all-atoms \
+	--select-atom-by-element C --translate-atoms --position "testvector"], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated.*' $file ${abs_top_srcdir}/tests/regression/Geometry/PlaneToVector/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Geometry - plane to vector Undo])
+AT_KEYWORDS([geometry plane-to-vector undo])
+AT_XFAIL_IF([/bin/true])
+file=test.xyz
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/PlaneToVector/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file \
+	--select-atom-by-id 0 1 2 --plane-to-vector "testvector" --undo --unselect-all-atoms \
+	--select-atom-by-element C --translate-atoms --position "testvector"], 5, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Geometry - plane to vector Redo])
+AT_KEYWORDS([geometry plane-to-vector undo redo])
+AT_XFAIL_IF([/bin/true])
+file=test.xyz
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/PlaneToVector/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file \
+	--select-atom-by-id 0 1 2 --plane-to-vector "testvector" --undo --redo --unselect-all-atoms \
+	--select-atom-by-element C --translate-atoms --position "testvector"], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated.*' $file ${abs_top_srcdir}/tests/regression/Geometry/PlaneToVector/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
Index: tests/regression/Geometry/PositionToVector/post/test.xyz
===================================================================
--- tests/regression/Geometry/PositionToVector/post/test.xyz	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
+++ tests/regression/Geometry/PositionToVector/post/test.xyz	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
@@ -0,0 +1,4 @@
+2
+	created for regression test PositionToVector on 2017-03-29 11:25
+H	1	0	0
+C	3	2	2
Index: tests/regression/Geometry/PositionToVector/pre/test.xyz
===================================================================
--- tests/regression/Geometry/PositionToVector/pre/test.xyz	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
+++ tests/regression/Geometry/PositionToVector/pre/test.xyz	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
@@ -0,0 +1,4 @@
+2
+	created for regression test PositionToVector on 2017-03-29 11:25
+H	1	0	0
+C	2	2	2
Index: tests/regression/Geometry/PositionToVector/testsuite-geometry-position-to-vector.at
===================================================================
--- tests/regression/Geometry/PositionToVector/testsuite-geometry-position-to-vector.at	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
+++ tests/regression/Geometry/PositionToVector/testsuite-geometry-position-to-vector.at	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
@@ -0,0 +1,53 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2017 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### position to vector
+
+AT_SETUP([Geometry - position to vector])
+AT_KEYWORDS([geometry position-to-vector])
+AT_XFAIL_IF([/bin/true])
+file=test.xyz
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/PositionToVector/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -v 5 \
+	--select-atom-by-id 0 --position-to-vector "testvector" --unselect-all-atoms \
+	--select-atom-by-element C --translate-atoms "testvector"], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated.*' $file ${abs_top_srcdir}/tests/regression/Geometry/PositionToVector/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Geometry - position to vector Undo])
+AT_KEYWORDS([geometry position-to-vector undo])
+AT_XFAIL_IF([/bin/true])
+file=test.xyz
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/PositionToVector/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file \
+	--select-atom-by-id 0 --position-to-vector "testvector" --undo --unselect-all-atoms \
+	--select-atom-by-element C --translate-atoms "testvector"], 5, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Geometry - position to vector Redo])
+AT_KEYWORDS([geometry position-to-vector undo redo])
+AT_XFAIL_IF([/bin/true])
+file=test.xyz
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Geometry/PositionToVector/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file \
+	--select-atom-by-id 0 --position-to-vector "testvector" --undo --redo --unselect-all-atoms \
+	--select-atom-by-element C --translate-atoms "testvector"], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated.*' $file ${abs_top_srcdir}/tests/regression/Geometry/PositionToVector/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
Index: tests/regression/Geometry/testsuite-geometry-common.at
===================================================================
--- tests/regression/Geometry/testsuite-geometry-common.at	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
+++ tests/regression/Geometry/testsuite-geometry-common.at	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
@@ -0,0 +1,34 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2017 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### common stuff to geometry
+
+# names are already setup automatically
+AT_SETUP([Geometry - automatically added geometry names])
+AT_KEYWORDS([geometry])
+AT_CHECK([../../molecuilder --input-to-vector "zeroVector" --position "0,0,0"], 5, [ignore], [ignore])
+AT_CHECK([../../molecuilder --input-to-vector "unitVectorX" --position "1,0,0"], 5, [ignore], [ignore])
+AT_CHECK([../../molecuilder --input-to-vector "unitVectorY" --position "0,1,0"], 5, [ignore], [ignore])
+AT_CHECK([../../molecuilder --input-to-vector "unitVectorZ" --position "0,0,1"], 5, [ignore], [ignore])
+AT_CLEANUP
+
+# no names interpretable as vectors and no pure numbers
+AT_SETUP([Geometry - illegal geometry names])
+AT_KEYWORDS([geometry])
+AT_CHECK([../../molecuilder --input-to-vector "0,0,0" --position "0,0,0"], 5, [ignore], [ignore])
+AT_CHECK([../../molecuilder --input-to-vector "1" --position "1,0,0"], 5, [ignore], [ignore])
+AT_CLEANUP
Index: tests/regression/Geometry/testsuite-geometry.at
===================================================================
--- tests/regression/Geometry/testsuite-geometry.at	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
+++ tests/regression/Geometry/testsuite-geometry.at	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
@@ -0,0 +1,33 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2017 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+AT_BANNER([MoleCuilder - Geometry Objects])
+
+# common checks
+m4_include([Geometry/testsuite-geometry-common.at])
+
+# Position to Vector
+m4_include([Geometry/PositionToVector/testsuite-geometry-position-to-vector.at])
+
+# Distance to Vector
+m4_include([Geometry/DistanceToVector/testsuite-geometry-distance-to-vector.at])
+
+# Plane to Vector
+m4_include([Geometry/PlaneToVector/testsuite-geometry-plane-to-vector.at])
+
+# Input to Vector
+m4_include([Geometry/InputToVector/testsuite-geometry-input-to-vector.at])
Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision 5f869d731c0e018ae107f17a253937a99d0c6c9b)
+++ tests/regression/Makefile.am	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
@@ -119,4 +119,10 @@
 	$(srcdir)/Fragmentation/ParseSaveFragmentResults/testsuite-fragmentation-parse-save-fragment-results.at \
 	$(srcdir)/Fragmentation/StoreSaturatedFragment/testsuite-fragmentation-store-saturated-fragment.at \
+	$(srcdir)/Geometry/testsuite-geometry.at \
+	$(srcdir)/Geometry/testsuite-geometry-common.at \
+	$(srcdir)/Geometry/DistanceToVector/testsuite-geometry-distance-to-vector.at \
+	$(srcdir)/Geometry/InputToVector/testsuite-geometry-input-to-vector.at \
+	$(srcdir)/Geometry/PlaneToVector/testsuite-geometry-plane-to-vector.at \
+	$(srcdir)/Geometry/PositionToVector/testsuite-geometry-position-to-vector.at \
 	$(srcdir)/Graph/testsuite-graph.at \
 	$(srcdir)/Graph/CreateAdjacency/testsuite-graph-create-adjacency.at \
Index: tests/regression/testsuite.at
===================================================================
--- tests/regression/testsuite.at	(revision 5f869d731c0e018ae107f17a253937a99d0c6c9b)
+++ tests/regression/testsuite.at	(revision cb403725fdfacbf89017ad10e0f784ef9717ae31)
@@ -44,4 +44,6 @@
 m4_include(Bond/testsuite-bond.at)
 
+m4_include(Geometry/testsuite-geometry.at)
+
 m4_include(Selection/testsuite-selection.at)
 
